public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: kde-plasma/plasma-workspace/, kde-plasma/plasma-workspace/files/
Date: Fri, 10 Dec 2021 14:58:36 +0000 (UTC)	[thread overview]
Message-ID: <1639148301.772507bcfc6fe0a19f039491f52f9e028cfbb776.asturm@gentoo> (raw)

commit:     772507bcfc6fe0a19f039491f52f9e028cfbb776
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 10 14:26:33 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Dec 10 14:58:21 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=772507bc

kde-plasma/plasma-workspace: Fix klipper bugs, systemsettings crash

Upstream commit c8b8c8dd389ae381831fdd23f354617f48f3edd4
KDE-bug: https://bugs.kde.org/show_bug.cgi?id=446441

Upstream commit beb34e3d9781c7728260d486a835c52be21a6d83
KDE-bug: https://bugs.kde.org/show_bug.cgi?id=444365

Upstream commit a8b613505e326dd047707e0a0e4d6f5ecc4a9baa
KDE-bug: https://bugs.kde.org/show_bug.cgi?id=439797
Package-Manager: Portage-3.0.29, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 ....4-fix-klipper-actions-content-truncation.patch |  33 ++++
 ...orkspace-5.23.4-fix-klipper-use-full-text.patch |  34 ++++
 ...workspace-5.23.4-fix-systemsettings-crash.patch |  31 +++
 .../plasma-workspace-5.23.4-r1.ebuild              | 213 +++++++++++++++++++++
 4 files changed, 311 insertions(+)

diff --git a/kde-plasma/plasma-workspace/files/plasma-workspace-5.23.4-fix-klipper-actions-content-truncation.patch b/kde-plasma/plasma-workspace/files/plasma-workspace-5.23.4-fix-klipper-actions-content-truncation.patch
new file mode 100644
index 000000000000..1153c9f006f1
--- /dev/null
+++ b/kde-plasma/plasma-workspace/files/plasma-workspace-5.23.4-fix-klipper-actions-content-truncation.patch
@@ -0,0 +1,33 @@
+From beb34e3d9781c7728260d486a835c52be21a6d83 Mon Sep 17 00:00:00 2001
+From: ValdikSS ValdikSS <iam@valdikss.org.ru>
+Date: Sun, 5 Dec 2021 15:46:00 +0300
+Subject: [PATCH] Fix Klipper Actions content truncation
+
+Commit f9669af2 introduced a regression with Klipper Actions: it used
+truncated text as a source for the action, which resulted in truncated
+output.
+
+BUG: 444365
+
+
+(cherry picked from commit 49365857623f7e986013bee7d3160594d2272fe2)
+---
+ klipper/urlgrabber.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/klipper/urlgrabber.cpp b/klipper/urlgrabber.cpp
+index fb7c0d0a2..185a6a5d6 100644
+--- a/klipper/urlgrabber.cpp
++++ b/klipper/urlgrabber.cpp
+@@ -245,7 +245,7 @@ void URLGrabber::execute(const ClipAction *action, int cmdIdx) const
+     ClipCommand command = action->command(cmdIdx);
+ 
+     if (command.isEnabled) {
+-        QString text(m_myClipItem->text());
++        QString text(m_myClipItem->mimeData()->text());
+         if (m_stripWhiteSpace) {
+             text = text.trimmed();
+         }
+-- 
+GitLab
+

diff --git a/kde-plasma/plasma-workspace/files/plasma-workspace-5.23.4-fix-klipper-use-full-text.patch b/kde-plasma/plasma-workspace/files/plasma-workspace-5.23.4-fix-klipper-use-full-text.patch
new file mode 100644
index 000000000000..29640f8262e6
--- /dev/null
+++ b/kde-plasma/plasma-workspace/files/plasma-workspace-5.23.4-fix-klipper-use-full-text.patch
@@ -0,0 +1,34 @@
+From c8b8c8dd389ae381831fdd23f354617f48f3edd4 Mon Sep 17 00:00:00 2001
+From: David Edmundson <kde@davidedmundson.co.uk>
+Date: Sun, 5 Dec 2021 08:26:45 +0000
+Subject: [PATCH] [klipper] Use full text for DBus return values
+
+In a recent commit HistoryItem::text() became the visual representation
+of the mimedata; often a truncated string.
+
+mimeData()->text() always returns the full value.
+
+BUG: 446441
+
+
+(cherry picked from commit 2db375f6a71cb730e1e099f9ff17ef7092850d9d)
+---
+ klipper/klipper.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/klipper/klipper.cpp b/klipper/klipper.cpp
+index b090a2409..3b12d1f95 100644
+--- a/klipper/klipper.cpp
++++ b/klipper/klipper.cpp
+@@ -838,7 +838,7 @@ QString Klipper::getClipboardHistoryItem(int i)
+     if (item) {
+         do {
+             if (i-- == 0) {
+-                return item->text();
++                return item->mimeData()->text();
+             }
+             item = history()->find(item->next_uuid());
+         } while (item != history()->first());
+-- 
+GitLab
+

diff --git a/kde-plasma/plasma-workspace/files/plasma-workspace-5.23.4-fix-systemsettings-crash.patch b/kde-plasma/plasma-workspace/files/plasma-workspace-5.23.4-fix-systemsettings-crash.patch
new file mode 100644
index 000000000000..d46f33486785
--- /dev/null
+++ b/kde-plasma/plasma-workspace/files/plasma-workspace-5.23.4-fix-systemsettings-crash.patch
@@ -0,0 +1,31 @@
+From a8b613505e326dd047707e0a0e4d6f5ecc4a9baa Mon Sep 17 00:00:00 2001
+From: Alexander Lohnau <alexander.lohnau@gmx.de>
+Date: Wed, 8 Dec 2021 18:25:36 +0100
+Subject: [PATCH] lookandfeel: Add missing check if list of files is empty
+
+BUG: 439797
+
+
+(cherry picked from commit d168d2a50366c528dab65415cd4f6e82afdfb645)
+---
+ kcms/lookandfeel/kcm.cpp | 4 +++-
+ 1 file changed, 3 insertions(+), 1 deletion(-)
+
+diff --git a/kcms/lookandfeel/kcm.cpp b/kcms/lookandfeel/kcm.cpp
+index 75ce19197..349761aad 100644
+--- a/kcms/lookandfeel/kcm.cpp
++++ b/kcms/lookandfeel/kcm.cpp
+@@ -123,7 +123,9 @@ void KCMLookandFeel::knsEntryChanged(KNSCore::EntryWrapper *wrapper)
+     if (entry.status() == KNS3::Entry::Deleted && !entry.uninstalledFiles().isEmpty()) {
+         removeItemFromModel();
+     } else if (entry.status() == KNS3::Entry::Installed && !entry.installedFiles().isEmpty()) {
+-        removeItemFromModel(); // In case we updated it we don't want to have it in twice
++        if (!entry.uninstalledFiles().isEmpty()) {
++            removeItemFromModel(); // In case we updated it we don't want to have it in twice
++        }
+         KPackage::Package pkg = KPackage::PackageLoader::self()->loadPackage(QStringLiteral("Plasma/LookAndFeel"));
+         pkg.setPath(entry.installedFiles().constFirst());
+         addKPackageToModel(pkg);
+-- 
+GitLab
+

diff --git a/kde-plasma/plasma-workspace/plasma-workspace-5.23.4-r1.ebuild b/kde-plasma/plasma-workspace/plasma-workspace-5.23.4-r1.ebuild
new file mode 100644
index 000000000000..d53818417079
--- /dev/null
+++ b/kde-plasma/plasma-workspace/plasma-workspace-5.23.4-r1.ebuild
@@ -0,0 +1,213 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_HANDBOOK="forceoptional"
+ECM_TEST="forceoptional"
+KFMIN=5.86.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=5.15.2
+VIRTUALX_REQUIRED="test"
+inherit ecm kde.org
+
+DESCRIPTION="KDE Plasma workspace"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="5"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="appstream +calculator +calendar +fontconfig geolocation gps screencast
++semantic-desktop telemetry"
+
+REQUIRED_USE="gps? ( geolocation )"
+RESTRICT="test"
+
+# slot op: various private QtWaylandClient headers
+COMMON_DEPEND="
+	>=dev-libs/wayland-1.15
+	>=dev-qt/qtdbus-${QTMIN}:5
+	>=dev-qt/qtdeclarative-${QTMIN}:5[widgets]
+	>=dev-qt/qtgui-${QTMIN}:5=[jpeg,libinput]
+	>=dev-qt/qtnetwork-${QTMIN}:5
+	>=dev-qt/qtsql-${QTMIN}:5
+	>=dev-qt/qtsvg-${QTMIN}:5
+	>=dev-qt/qtwayland-${QTMIN}:5=
+	>=dev-qt/qtwidgets-${QTMIN}:5
+	>=dev-qt/qtx11extras-${QTMIN}:5
+	>=dev-qt/qtxml-${QTMIN}:5
+	>=kde-frameworks/kactivities-${KFMIN}:5
+	>=kde-frameworks/kactivities-stats-${KFMIN}:5
+	>=kde-frameworks/karchive-${KFMIN}:5
+	>=kde-frameworks/kauth-${KFMIN}:5
+	>=kde-frameworks/kbookmarks-${KFMIN}:5
+	>=kde-frameworks/kcompletion-${KFMIN}:5
+	>=kde-frameworks/kconfig-${KFMIN}:5
+	>=kde-frameworks/kconfigwidgets-${KFMIN}:5
+	>=kde-frameworks/kcoreaddons-${KFMIN}:5
+	>=kde-frameworks/kcrash-${KFMIN}:5
+	>=kde-frameworks/kdbusaddons-${KFMIN}:5
+	>=kde-frameworks/kdeclarative-${KFMIN}:5
+	>=kde-frameworks/kded-${KFMIN}:5
+	>=kde-frameworks/kglobalaccel-${KFMIN}:5
+	>=kde-frameworks/kguiaddons-${KFMIN}:5
+	>=kde-frameworks/ki18n-${KFMIN}:5
+	>=kde-frameworks/kiconthemes-${KFMIN}:5
+	>=kde-frameworks/kidletime-${KFMIN}:5
+	>=kde-frameworks/kinit-${KFMIN}:5
+	>=kde-frameworks/kio-${KFMIN}:5
+	>=kde-frameworks/kitemmodels-${KFMIN}:5
+	>=kde-frameworks/kitemviews-${KFMIN}:5
+	>=kde-frameworks/kjobwidgets-${KFMIN}:5
+	>=kde-frameworks/knewstuff-${KFMIN}:5
+	>=kde-frameworks/knotifications-${KFMIN}:5
+	>=kde-frameworks/knotifyconfig-${KFMIN}:5
+	>=kde-frameworks/kpackage-${KFMIN}:5
+	>=kde-frameworks/kpeople-${KFMIN}:5
+	>=kde-frameworks/krunner-${KFMIN}:5
+	>=kde-frameworks/kservice-${KFMIN}:5
+	>=kde-frameworks/ktexteditor-${KFMIN}:5
+	>=kde-frameworks/ktextwidgets-${KFMIN}:5
+	>=kde-frameworks/kunitconversion-${KFMIN}:5
+	>=kde-frameworks/kwallet-${KFMIN}:5
+	>=kde-frameworks/kwayland-${KFMIN}:5
+	>=kde-frameworks/kwidgetsaddons-${KFMIN}:5
+	>=kde-frameworks/kwindowsystem-${KFMIN}:5
+	>=kde-frameworks/kxmlgui-${KFMIN}:5
+	>=kde-frameworks/plasma-${KFMIN}:5
+	>=kde-frameworks/prison-${KFMIN}:5[qml]
+	>=kde-frameworks/solid-${KFMIN}:5
+	>=kde-plasma/breeze-${PVCUT}:5
+	>=kde-plasma/kscreenlocker-${PVCUT}:5
+	>=kde-plasma/kwin-${PVCUT}:5
+	>=kde-plasma/layer-shell-qt-${PVCUT}:5
+	>=kde-plasma/libkscreen-${PVCUT}:5
+	>=kde-plasma/libksysguard-${PVCUT}:5
+	>=kde-plasma/libkworkspace-${PVCUT}:5
+	>=media-libs/phonon-4.11.0
+	sys-libs/zlib
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXau
+	x11-libs/libxcb
+	x11-libs/libXcursor
+	x11-libs/libXfixes
+	x11-libs/libXrender
+	x11-libs/libXtst
+	x11-libs/xcb-util
+	x11-libs/xcb-util-image
+	appstream? ( dev-libs/appstream[qt5] )
+	calculator? ( sci-libs/libqalculate:= )
+	calendar? ( >=kde-frameworks/kholidays-${KFMIN}:5 )
+	fontconfig? (
+		>=dev-qt/qtprintsupport-${QTMIN}:5
+		media-libs/fontconfig
+		x11-libs/libXft
+		x11-libs/xcb-util-image
+	)
+	geolocation? ( >=kde-frameworks/networkmanager-qt-${KFMIN}:5 )
+	gps? ( sci-geosciences/gpsd )
+	screencast? (
+		>=dev-qt/qtgui-${QTMIN}:5=[egl]
+		media-libs/libglvnd
+		>=media-video/pipewire-0.3:=
+		x11-libs/libdrm
+	)
+	semantic-desktop? ( >=kde-frameworks/baloo-${KFMIN}:5 )
+	telemetry? ( dev-libs/kuserfeedback:5 )
+"
+DEPEND="${COMMON_DEPEND}
+	>=dev-libs/plasma-wayland-protocols-1.1.1
+	>=dev-qt/qtconcurrent-${QTMIN}:5
+	>=dev-util/wayland-scanner-1.19.0
+	x11-base/xorg-proto
+	fontconfig? ( x11-libs/libXrender )
+"
+RDEPEND="${COMMON_DEPEND}
+	app-text/iso-codes
+	>=dev-qt/qdbus-${QTMIN}:5
+	>=dev-qt/qtgraphicaleffects-${QTMIN}:5
+	>=dev-qt/qtpaths-${QTMIN}:5
+	>=dev-qt/qtquickcontrols-${QTMIN}:5[widgets]
+	>=dev-qt/qtquickcontrols2-${QTMIN}:5
+	kde-apps/kio-extras:5
+	>=kde-frameworks/kdesu-${KFMIN}:5
+	>=kde-frameworks/kirigami-${KFMIN}:5
+	>=kde-frameworks/kquickcharts-${KFMIN}:5
+	>=kde-plasma/milou-${PVCUT}:5
+	>=kde-plasma/plasma-integration-${PVCUT}:5
+	sys-apps/dbus
+	x11-apps/xmessage
+	x11-apps/xprop
+	x11-apps/xrdb
+	x11-apps/xsetroot
+	!<kde-plasma/breeze-5.22.90:5
+	!<kde-plasma/plasma-desktop-5.21.90:5
+"
+BDEPEND="virtual/pkgconfig"
+PDEPEND=">=kde-plasma/kde-cli-tools-${PVCUT}:5"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-5.21.5-split-libkworkspace.patch" # downstream
+	"${FILESDIR}/${PN}-5.22.5-krunner-cwd-at-home.patch" # TODO upstream: KDE-bug 432975, bug 767478
+	# 5.23 branch
+	"${FILESDIR}"/${P}-fix-klipper-use-full-text.patch # KDE-bug 446441
+	"${FILESDIR}"/${P}-fix-klipper-actions-content-truncation.patch # KDE-bug 444365
+	"${FILESDIR}"/${P}-fix-systemsettings-crash.patch # KDE-bug 439797
+)
+
+src_prepare() {
+	ecm_src_prepare
+
+	cmake_comment_add_subdirectory libkworkspace
+	# delete colliding libkworkspace translations
+	if [[ ${KDE_BUILD_TYPE} = release ]]; then
+		find po -type f -name "*po" -and -name "libkworkspace*" -delete || die
+	fi
+
+	# TODO: try to get a build switch upstreamed
+	if ! use screencast; then
+		sed -e "s/^pkg_check_modules.*PipeWire/#&/" -i CMakeLists.txt || die
+	fi
+
+	# KDE-bug: 433730
+	use calculator ||
+		cmake_run_in runners cmake_comment_add_subdirectory calculator
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_xembed-sni-proxy=OFF
+		-DCMAKE_DISABLE_FIND_PACKAGE_PackageKitQt5=ON
+		$(cmake_use_find_package appstream AppStreamQt)
+		$(cmake_use_find_package calendar KF5Holidays)
+		$(cmake_use_find_package fontconfig Fontconfig)
+		$(cmake_use_find_package geolocation KF5NetworkManagerQt)
+		$(cmake_use_find_package semantic-desktop KF5Baloo)
+		$(cmake_use_find_package telemetry KUserFeedback)
+	)
+
+	use geolocation && mycmakeargs+=( $(cmake_use_find_package gps libgps) )
+
+	ecm_src_configure
+}
+
+src_install() {
+	ecm_src_install
+
+	# default startup and shutdown scripts
+	insinto /etc/xdg/plasma-workspace/env
+	doins "${FILESDIR}"/10-agent-startup.sh
+
+	insinto /etc/xdg/plasma-workspace/shutdown
+	doins "${FILESDIR}"/10-agent-shutdown.sh
+	fperms +x /etc/xdg/plasma-workspace/shutdown/10-agent-shutdown.sh
+}
+
+pkg_postinst () {
+	ecm_pkg_postinst
+
+	elog "To enable gpg-agent and/or ssh-agent in Plasma sessions,"
+	elog "edit ${EPREFIX}/etc/xdg/plasma-workspace/env/10-agent-startup.sh"
+	elog "and ${EPREFIX}/etc/xdg/plasma-workspace/shutdown/10-agent-shutdown.sh"
+}


             reply	other threads:[~2021-12-10 14:58 UTC|newest]

Thread overview: 44+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-12-10 14:58 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-07 22:12 [gentoo-commits] repo/gentoo:master commit in: kde-plasma/plasma-workspace/, kde-plasma/plasma-workspace/files/ Andreas Sturmlechner
2024-10-07 18:02 Andreas Sturmlechner
2024-09-20 17:11 Andreas Sturmlechner
2024-08-12 20:16 Andreas Sturmlechner
2024-06-05 18:57 Andreas Sturmlechner
2023-09-24 21:47 Andreas Sturmlechner
2023-06-27 11:25 Andreas Sturmlechner
2023-04-10 18:35 Andreas Sturmlechner
2023-03-23  8:39 Andreas Sturmlechner
2023-02-01  9:47 Andreas Sturmlechner
2022-11-30  1:44 Sam James
2022-10-03  8:43 Andreas Sturmlechner
2022-09-14 11:59 Andreas Sturmlechner
2022-09-09  7:34 Sam James
2022-06-14 12:44 Andreas Sturmlechner
2022-05-17 19:02 Andreas Sturmlechner
2022-02-06 21:17 Andreas Sturmlechner
2021-12-14  9:28 Andreas Sturmlechner
2021-11-30 14:33 Andreas Sturmlechner
2021-11-23 14:59 Andreas Sturmlechner
2021-09-22 21:59 Andreas Sturmlechner
2021-09-16 11:14 Andreas Sturmlechner
2021-05-29 21:19 Andreas Sturmlechner
2021-02-05 10:12 Andreas Sturmlechner
2021-01-23 22:45 Andreas Sturmlechner
2021-01-15 18:33 Andreas Sturmlechner
2020-10-04 16:07 Andreas Sturmlechner
2020-07-28 15:37 Andreas Sturmlechner
2020-07-09 17:52 Andreas Sturmlechner
2020-06-23 13:49 Andreas Sturmlechner
2020-05-16 22:38 Andreas Sturmlechner
2020-05-16 22:38 Andreas Sturmlechner
2020-01-21 16:29 Andreas Sturmlechner
2019-07-20 22:15 Andreas Sturmlechner
2018-09-11 17:47 Andreas Sturmlechner
2018-04-11 20:08 Andreas Sturmlechner
2018-02-09 13:57 Michael Palimaka
2017-08-31 20:54 Andreas Sturmlechner
2017-08-02 23:22 Andreas Sturmlechner
2017-07-27 16:24 Andreas Sturmlechner
2016-11-16 18:38 Michael Palimaka
2016-09-28 21:47 Michael Palimaka
2016-02-09 16:25 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1639148301.772507bcfc6fe0a19f039491f52f9e028cfbb776.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox